/* You can add global styles to this file, and also import other style files */
@import '~@swimlane/ngx-datatable/index.scss';
@import '~@swimlane/ngx-datatable/themes/bootstrap.scss';
@import '~@swimlane/ngx-datatable/assets/icons.css';
@import '~@ng-select/ng-select/themes/default.theme.css';
@import '~ag-grid-community/dist/styles/ag-grid.css';
@import '~ag-grid-community/dist/styles/ag-theme-balham.css';

$error-border-color: #e74c3c;

input,
textarea {
	&.ng-invalid.ng-touched {
		border-color: $error-border-color;
	}
}

.simple-notification-wrapper {
	z-index: 9999 !important;
}

.ngx-datatable.data-table.data-table-local {
	datatable-header {
		.sort-btn {
			display: none;
		}
	}
}

.ngx-datatable.data-table {
	overflow: visible !important;

	datatable-header {
		overflow: visible !important;

		datatable-header-cell {
			height: 100%;
			overflow: visible !important;

			&.sortable:before,
			&.sortable:after {
				top: 2px !important;
			}

			.datatable-header-cell-label {
				padding: 0.4rem 30px 0.3rem 0.75rem;
			}
		}
	}

	datatable-body-cell {
		display: flex !important;
		align-items: center !important;
		padding: 0.35rem 0.5rem !important;
		-webkit-user-select: auto !important;
		-moz-user-select: auto !important;
		-ms-user-select: auto !important;
		-o-user-select: auto !important;
		user-select: auto !important;

		.datatable-header-cell-label {
			width: 100%;
			padding: 0.4rem 30px 0.3rem 0.75rem;
		}

		.datatable-body-cell-label {
			width: 100%;
		}
	}

	.datatable-body .progress-linear {
		display: block;
		position: relative;
		width: 100%;
		height: 5px;
		padding: 0;
		margin: 0;
		position: absolute;

		.container {
			display: block;
			position: relative;
			overflow: hidden;
			width: 100%;
			height: 5px;
			-webkit-transform: translate(0, 0) scale(1, 1);
			transform: translate(0, 0) scale(1, 1);
			background-color: #8ed4ed;
			max-width: none;

			.bar {
				transition: all 0.15s linear;
				-webkit-animation: query 0.75s infinite cubic-bezier(0.39, 0.575, 0.565, 1);
				animation: query 0.75s infinite cubic-bezier(0.39, 0.575, 0.565, 1);
				transition: -webkit-transform 0.15s linear;
				transition: transform 0.15s linear;
				background-color: #0068a4;
				position: absolute;
				left: 0;
				top: 0;
				bottom: 0;
				width: 100%;
				height: 5px;
			}
		}
	}

	.datatable-footer .datatable-pager {
		li.pages a {
			padding: 4px 12px;
			margin: 6px 1px;
		}

		li:not(.pages) a {
			padding: 4px 5px 2px;
			margin: 6px 0;
		}
	}
}

@keyframes query {
	0% {
		opacity: 1;
		transform: translateX(35%) scale(0.3, 1);
	}
	100% {
		opacity: 0;
		transform: translateX(-50%) scale(0, 1);
	}
}

.datatable-row-detail {
	background-color: #dcecff;
}

.swal2-modal {
	padding: 0 !important;
	font-family: unset;
	overflow: initial;
	-webkit-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
	box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
	border-radius: 3px !important;

	.swal2-styled {
		padding: 7px 24px;
		border-radius: 2px;
	}

	.swal2-content {
		color: unset;
		font-weight: 400;
		padding: 0 15px;
	}

	.swal2-buttonswrapper {
		border-top: solid 1px #dddddd;
		padding-bottom: 15px;
	}
}

.swal2-icon {
	margin: 20px auto 10px;
}

.swal2-container.swal2-shown {
	background-color: rgba(0, 0, 0, 0.6) !important;
}

.ngx-datatable.bootstrap .datatable-footer {
	overflow-y: hidden;
}

app-select-async,
app-select {
	.ng-select.ng-select-single .ng-select-container {
		height: auto !important;
	}

	.ng-select.ng-select-disabled > .ng-select-container {
		background-color: #f2f2f2;
	}

	&.ng-invalid.ng-touched .ng-select-container {
		border-color: $error-border-color;
	}

	&.has-filter .ng-select-container {
		border-color: #3498db;
	}
}

.cursor-pointer {
	cursor: pointer;
}

.label-field {
	label {
		font-weight: 500;
		margin-right: 0.25rem;
		margin-bottom: 0;
	}
}

.label-field-col {
	@extend .label-field;

	label {
		width: 100%;
	}
}
